Benutzerhandbuch
Version 1.9 — Rev. 3

# Umleitungskontext

#### Beschreibung

Ein Weiterleitungskontext kann verwendet werden, um eine URI oder eine Gruppe von URIs an einen anderen Ort weiterzuleiten. Die Ziel-URI kann sich auf derselben Website befinden (interne Weiterleitung) oder eine absolute URI sein, die auf eine andere Website verweist (externe Weiterleitung).

### URI

#### Beschreibung

Gibt die URI fuer diesen Kontext an.

#### Syntax

Die URI kann eine einfache URI sein (beginnend mit "/") oder eine Perl-kompatible regulaere Ausdrucks-URI (beginnend mit "exp:"). Wenn eine einfache URI mit "/" endet, umfasst dieser Kontext alle Unter-URIs darunter. Wenn der Kontext einem Verzeichnis im Dateisystem zugeordnet ist, muss ein abschliessendes "/" hinzugefuegt werden.

#### Siehe auch

Speicherort

### Externe Weiterleitung

#### Beschreibung

Gibt an, ob diese Weiterleitung extern ist. Bei externer Weiterleitung kann Statuscode angegeben werden, und Ziel-URI kann mit "/" oder "http(s)://" beginnen. Bei interner Weiterleitung muss Ziel-URI mit "/" beginnen.

### Statuscode

#### Beschreibung

Gibt den Antwortstatuscode der externen Weiterleitung an. Wenn der Statuscode zwischen 300 und 399 liegt, kann Ziel-URI angegeben werden.

#### Syntax

Aus Dropdown-Liste auswählen

### Ziel-URI

#### Beschreibung

Gibt den Zielort der Weiterleitung an. Wenn diese weitergeleitete URI einer URI in einem anderen Redirect-Kontext zugeordnet ist, wird erneut weitergeleitet.

#### Syntax

Diese URI kann eine relative URI derselben Website sein, die mit "/" beginnt, oder eine absolute URI zu einer anderen Website, die mit "http(s)://" beginnt. Wenn URI regulaere Ausdruecke enthaelt, kann das Ziel passende Variablen wie $1 oder $2 referenzieren.

### Header-Operationen

#### Beschreibung

Gibt zusaetzliche Antwort-/Anfrage-Header an, die hinzugefuegt werden sollen. Mehrere Header-Direktiven koennen mit einer Direktive pro Zeile angegeben werden. "NONE" deaktiviert die Vererbung uebergeordneter Header. Wenn keine Direktive angegeben ist, wird 'Header' angenommen.

#### Syntax

[Header]|RequestHeader [condition] set|append|merge|add|unset header [value] [early|env=[!]variable]

#### Beispiel

set Cache-control no-cache
append Cache-control no-store
Header set My-header cust_header_val
RequestHeader set My-req-header cust_req_header_val

#### Tipps

Information Syntax und Verwendung entsprechen den Apache mod_headers-Direktiven fuer unterstuetzte Operationen.
Information Die Direktive 'Header' ist optional und kann beim Kopieren von Regeln ohne Problem entfernt oder beibehalten werden.

### Realm

#### Beschreibung

Gibt den Autorisierungs-Realm fuer diesen Kontext an. Wenn angegeben, muessen ein gueltiger Benutzername und ein Passwort angegeben werden, um auf diesen Kontext zuzugreifen. Autorisierungs-Realms werden im Abschnitt Virtueller Host - Sicherheit eingerichtet. Diese Einstellung verwendet Realm-Name jedes Realms.

#### Syntax

Aus Dropdown-Liste auswählen

### Authentifizierungsname

#### Beschreibung

Gibt einen alternativen Namen fuer den Autorisierungs-Realm des aktuellen Kontextes an. Wenn nicht angegeben, wird der urspruengliche Realm-Name verwendet. Der Authentifizierungsname wird im Login-Popup des Browsers angezeigt.

### Require (autorisierte Benutzer/Gruppen)

#### Beschreibung

Gibt an, welche Benutzer/Gruppen auf diesen Kontext zugreifen duerfen. Dadurch koennen Sie eine Benutzer-/Gruppendatenbank (angegeben in Realm) fuer mehrere Kontexte verwenden, aber nur bestimmte Benutzer/Gruppen daraus fuer diesen Kontext zulassen.

#### Syntax

Die Syntax ist mit der Apache-Require-Direktive kompatibel. Zum Beispiel:

- user username [username ...]
  Nur aufgelistete Benutzer koennen auf diesen Kontext zugreifen.
- group groupid [groupid ...]
  Nur Benutzer, die zu den aufgelisteten Gruppen gehoeren, koennen auf diesen Kontext zugreifen.

Wenn diese Einstellung nicht angegeben ist, duerfen alle gueltigen Benutzer auf diese Ressource zugreifen.

### Zugriff erlaubt

#### Beschreibung

Gibt an, welche IPs oder Subnetze auf Ressourcen unter diesem Kontext zugreifen duerfen. Zusammen mit Zugriff verweigert und der Zugriffskontrolle auf Server-/Virtual-Host-Ebene wird die Zugaenglichkeit durch den kleinsten Bereich bestimmt, in den die IP-Adresse des Clients faellt.

#### Syntax

Kommagetrennte Liste von IPs/Subnetzen.

#### Beispiel

Subnetze koennen als 192.168.1.0/255.255.255.0, 192.168.1 oder 192.168.1.* geschrieben werden.

### Zugriff verweigert

#### Beschreibung

Gibt an, welche IPs oder Subnetze NICHT auf Ressourcen unter diesem Kontext zugreifen duerfen. Zusammen mit Zugriff erlaubt und der Zugriffskontrolle auf Server-/Virtual-Host-Ebene wird die Zugaenglichkeit durch den kleinsten Bereich bestimmt, in den die IP-Adresse des Clients faellt.

#### Syntax

Kommagetrennte Liste von IPs/Subnetzen.

#### Beispiel

Subnetze koennen als 192.168.1.0/255.255.255.0, 192.168.1 oder 192.168.1.* geschrieben werden.

### Authorizer

#### Beschreibung

Gibt eine externe Anwendung an, die autorisiert/nicht autorisiert-Entscheidungen erzeugen kann. Derzeit ist nur der FastCGI Authorizer verfuegbar. Weitere Details zur Rolle FastCGI Authorizer finden Sie unter https://fastcgi-archives.github.io/ .

#### Syntax

Aus Dropdown-Liste auswählen